<template>
    <el-dialog title="合并工单" :close-on-click-modal="false" :visible.sync="visible">
        <el-table
          stripe
          ref="paramValues"
          :data="paramValues"
          height="100%"
          :row-style="{ height: '26px' }"
          :cell-style="{ padding: '0' }"
        >
          <el-table-column
            type="index"
            label="序号"
            align="center"
            min-width="75px"
          />
          <el-table-column
            prop="isQualified"
            label="状态"
            align="center"
            min-width="60px"
          >
            <template slot-scope="scope">
              <span>{{getStatus(scope.row)}}</span>
            </template>
          </el-table-column>
          <el-table-column
            prop="optaskNo"
            label="工单编号"
            align="center"
            min-width="75px"
          />
          <el-table-column
            prop="moNo"
            label="制造订单编号"
            align="center"
            min-width="75px"
          />
          <el-table-column
            prop="partName"
            label="零件"
            align="center"
            min-width="75px"
          />
          <el-table-column
            prop="workstationName"
            label="工作站"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="operationName"
            label="工序"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="workstationName"
            label="工作站"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="plannedQuantity"
            label="计划数量"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="completedQuantity"
            label="完成数量"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="unit"
            label="单位"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="discNum"
            label="盘数"
            align="center"
            min-width="75px"
          >
          </el-table-column>
          <el-table-column
            prop="createTime"
            label="创建时间"
            align="center"
            min-width="75px"
          >
          </el-table-column>
        </el-table>
        <span slot="footer" class="dialog-footer">
            <el-button @click="visible = false">取消</el-button>
        </span>
    </el-dialog>
</template>

<script>
import { getCombinedOperationTaskInfo } from '@/api/plan/operationtask'

export default {
  data() {
    return {
      visible: false,
      paramValues:[],
      stateOptionList: [
        {
          value: '01pending',
          label: '等待'
        },
        {
          value: '02inProgress',
          label: '进行中'
        },
        {
          value: '03interrupted',
          label: '已暂停'
        },
        {
          value: '04completed',
          label: '已完成'
        },
        {
          value: '05canceled',
          label: '已取消'
        },
        {
          value: '06combined',
          label: '已合并'
        }
      ],
    }
  },
  created() {},
  methods: {
    init(id) {
      let obj = {
        id:id
      }
      getCombinedOperationTaskInfo(obj).then((result) => {
        this.paramValues = result.data.data;
        if(result.data.data.length>0){
          this.visible = true
        }else{
          this.$message.warning('暂无合并工单数据！')
        }
      }).catch((err) => {
        
      });
    },
    getStatus(val){
      let re = ''
      if(val){
        let index = this.stateOptionList.findIndex(el=>el.value == val.state)
        if(index>-1){
          re = this.stateOptionList[index].label
        }
      }
      return re
    }
  }
}

</script>
